This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023429 - Review Request: jberet - Batch Applications Implementation
Review Request: jberet - Batch Applications Implementation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: 1023051
Blocks: 1016622
  Show dependency treegraph
 
Reported: 2013-10-25 07:53 EDT by Marek Goldmann
Modified: 2013-10-29 08:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 08:16:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2013-10-25 07:53:21 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jberet/1/jberet.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jberet/1/jberet-1.0.0-0.1.Alpha4.fc20.src.rpm
Fedora Account System Username: goldmann

Description:

JSR 352: Batch Applications for the Java Platform implementation classes
Comment 1 Marek Goldmann 2013-10-25 09:17:35 EDT
Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=6098482
Comment 2 gil cattaneo 2013-10-25 10:15:01 EDT
please, install jberet-distribution/src/main/resources/LICENSE.txt
Comment 4 gil cattaneo 2013-10-25 10:38:50 EDT
thanks!
build fails on my system:

[INFO] --- maven-surefire-plugin:2.16:test (default-test) @ jberet-se ---
[INFO] Surefire report directory: /builddir/build/BUILD/jsr352-1.0.0.Alpha4/jberet-se/target/surefire-reports
-------------------------------------------------------
 T E S T S
-------------------------------------------------------
Running org.jberet.se.test.MainTest
[main] INFO org.jboss.weld.Version - WELD-000900 2.0.3 (Final)
[main] INFO org.jboss.weld.Bootstrap - WELD-000101 Transactional services not available. Injection of @Inject UserTransaction not available. Transactional observers will be invoked synchronously.
Tests run: 1, Failures: 0, Errors: 1, Skipped: 0, Time elapsed: 1.055 sec <<< FAILURE! - in org.jberet.se.test.MainTest
testMain(org.jberet.se.test.MainTest)  Time elapsed: 1.002 sec  <<< ERROR!
java.util.ServiceConfigurationError: javax.batch.operations.JobOperator: Provider org.jberet.operations.JobOperatorImpl could not be instantiated: java.lang.NoSuchMethodError: org.jboss.weld.bootstrap.api.Singleton.set(Ljava/lang/Object;)V
	at org.jboss.weld.Container.initialize(Container.java:69)
	at org.jboss.weld.bootstrap.WeldBootstrap.startContainer(WeldBootstrap.java:360)
	at org.jboss.weld.bootstrap.api.helpers.ForwardingBootstrap.startContainer(ForwardingBootstrap.java:40)
	at org.jboss.weld.environment.se.Weld.initialize(Weld.java:139)
	at org.jberet.se.SEArtifactFactory.<init>(SEArtifactFactory.java:31)
	at org.jberet.se.BatchSEEnvironment.getArtifactFactory(BatchSEEnvironment.java:64)
	at org.jberet.operations.JobOperatorImpl.<init>(JobOperatorImpl.java:67)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:526)
	at java.lang.Class.newInstance(Class.java:374)
	at java.util.ServiceLoader$LazyIterator.next(ServiceLoader.java:373)
	at java.util.ServiceLoader$1.next(ServiceLoader.java:445)
	at javax.batch.runtime.BatchRuntime.getJobOperator(BatchRuntime.java:57)
	at org.jberet.se.Main.main(Main.java:36)
	at org.jberet.se.test.MainTest.testMain(MainTest.java:29)
Results :
Tests in error: 
  MainTest.testMain:29 ? ServiceConfiguration javax.batch.operations.JobOperator...
Tests run: 1, Failures: 0, Errors: 1, Skipped: 0
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Skipping jberet-parent
[INFO] This project has been banned from the build due to previous failures.
[INFO] ------------------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] jberet-parent ..................................... SUCCESS [1.663s]
[INFO] jberet-core ....................................... SUCCESS [7.577s]
[INFO] jberet-se ......................................... FAILURE [2.401s]
Comment 5 gil cattaneo 2013-10-25 10:40:35 EDT
ah ok use latest wel-core release ...
Comment 6 gil cattaneo 2013-10-25 11:41:59 EDT
NOTE: manual review
cause: missing weld-core-2.1.0-0.1.CR1

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
IGNORE

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 102 files have unknown license. Detailed output
     of licensecheck in /home/gil/1023429-jberet/srpm/review-
     jberet/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jberet-
     javadoc
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.33 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.33
INFO: Mock Version: 1.1.33
Start: lock buildroot
INFO: installing package(s): /home/gil/1023429-jberet/srpm/jberet-1.0.0-0.2.Alpha4.fc21.noarch.rpm /home/gil/1023429-jberet/srpm/jberet-javadoc-1.0.0-0.2.Alpha4.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-19-i386/root/', 'install', '/home/gil/1023429-jberet/srpm/jberet-1.0.0-0.2.Alpha4.fc21.noarch.rpm', '/home/gil/1023429-jberet/srpm/jberet-javadoc-1.0.0-0.2.Alpha4.fc21.noarch.rpm', '--setopt=tsflags=nocontexts']
Errore: Pacchetto: jberet-1.0.0-0.2.Alpha4.fc21.noarch (/jberet-1.0.0-0.2.Alpha4.fc21.noarch)
            Richiede: mvn(org.jboss.narayana.jta:narayana-jta)
Errore: Pacchetto: jberet-1.0.0-0.2.Alpha4.fc21.noarch (/jberet-1.0.0-0.2.Alpha4.fc21.noarch)
            Richiede: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
 Si può provare ad usare --skip-broken per aggirare il problema
Errore: Pacchetto: jberet-1.0.0-0.2.Alpha4.fc21.noarch (/jberet-1.0.0-0.2.Alpha4.fc21.noarch)
            Richiede: mvn(org.jboss.weld.se:weld-se)
Errore: Pacchetto: jberet-1.0.0-0.2.Alpha4.fc21.noarch (/jberet-1.0.0-0.2.Alpha4.fc21.noarch)
            Richiede: mvn(org.jboss.narayana.arjunacore:arjuna)
Errore: Pacchetto: jberet-1.0.0-0.2.Alpha4.fc21.noarch (/jberet-1.0.0-0.2.Alpha4.fc21.noarch)
            Richiede: mvn(org.jboss.spec.javax.batch:jboss-batch-api_1.0_spec)
 Provare ad eseguire: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: jberet-1.0.0-0.2.Alpha4.fc21.noarch.rpm
          jberet-javadoc-1.0.0-0.2.Alpha4.fc21.noarch.rpm
          jberet-1.0.0-0.2.Alpha4.fc21.src.rpm
jberet-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Diff spec file in url and in SRPM
---------------------------------
--- /home/gil/1023429-jberet/srpm/jberet.spec	2013-10-25 16:22:39.478085103 +0200
+++ /home/gil/1023429-jberet/srpm/review-jberet/srpm-unpacked/jberet.spec	2013-10-25 16:23:19.000000000 +0200
@@ -4,5 +4,5 @@
 Name:             jberet
 Version:          1.0.0
-Release:          0.1%{namedreltag}%{?dist}
+Release:          0.2%{namedreltag}%{?dist}
 Summary:          Batch Applications Implementation
 License:          EPL
@@ -54,8 +54,13 @@
 %files -f .mfiles
 %dir %{_javadir}/%{name}
+%doc jberet-distribution/src/main/resources/LICENSE.txt
 
 %files javadoc -f .mfiles-javadoc
+%doc jberet-distribution/src/main/resources/LICENSE.txt
 
 %changelog
+* Fri Oct 25 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha4
+- Installed license file
+
 * Fri Oct 25 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha4
 - Initial packaging


Requires
--------
jberet (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.h2database:h2)
    mvn(javax.enterprise:cdi-api)
    mvn(javax.inject:javax.inject)
    mvn(org.jboss.logging:jboss-logging)
    mvn(org.jboss.logging:jboss-logging-processor)
    mvn(org.jboss.marshalling:jboss-marshalling)
    mvn(org.jboss.narayana.arjunacore:arjuna)
    mvn(org.jboss.narayana.jta:narayana-jta)
    mvn(org.jboss.spec.javax.batch:jboss-batch-api_1.0_spec)
    mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
    mvn(org.jboss.weld.se:weld-se)
    mvn(org.jboss.weld:weld-api)
    mvn(org.jboss.weld:weld-core)

jberet-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jberet:
    jberet
    mvn(org.jberet:jberet-core)
    mvn(org.jberet:jberet-parent)
    mvn(org.jberet:jberet-parent:pom:)
    mvn(org.jberet:jberet-se)

jberet-javadoc:
    jberet-javadoc



Source checksums
----------------
https://github.com/jberet/jsr352/archive/1.0.0.Alpha4.tar.gz :
  CHECKSUM(SHA256) this package     : 176d5b45eb461bfb9d3de36f5d67099b0447009de01f4828b8568dd660da517f
  CHECKSUM(SHA256) upstream package : 176d5b45eb461bfb9d3de36f5d67099b0447009de01f4828b8568dd660da517f


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -vpn jberet
Buildroot used: fedora-19-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

ISSUES:

[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 102 files have unknown license. Detailed output
     of licensecheck in /home/gil/1023429-jberet/srpm/review-
     jberet/licensecheck.txt
please, fix license field

ASL 2.0: jberet-core/src/main/resources/batchXML_1_0.xsd 
         jberet-core/src/main/resources/jobXML_1_0.xsd

[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).

see above

NON blocking ISSUES
[!]: Latest version is packaged.
Available: 1.0.0.Beta1 (up to you rhe choise to update the package)
Comment 7 Marek Goldmann 2013-10-26 15:50:42 EDT
Thank you!

New Package SCM Request
=======================
Package Name: jberet
Short Description: Batch Applications Implementation
Owners: goldmann
Branches: f20
Comment 8 Gwyn Ciesla 2013-10-28 08:13:05 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.